/*
Table of Content:
@Custom Breakpoints
  (min-width: 2000px)
  (max-width: 1700px)
  (max-width: 1600px)
  (max-width: 1500px)
  (max-width: 1400px)
  (max-width: 1300px)
  (max-width: 1200px)
  (max-width: 1100px)
  (max-width: 1024px)
  (max-width: 1050px) -> start of mobile menu
  (max-width: 400px)
  (max-height: 800px) -> for sticky sections on small height screen
@Bootstrap Breakpoints
  xl: (max-width: 1199px)
  lg: (max-width: 991px)
  md: (max-width: 767px)
  sm: (max-width: 575px)
*/

@media only screen and (min-width: 2000px) {
  .d-xxl-none {
    display: none !important;
  }

  .d-xxl-block {
    display: block !important;
  }

  .video {
    width: calc(1600px - 30px);
    margin: 0 auto;
  }

  .video .container {
    padding-left: 60px;
    padding-right: 60px;
    width: 100%;
  }
}

@media only screen and (max-width: 1700px) {
  html {
    /* font-size: 17px; */
  }

  .footer-secondary-menu {
    font-size: 0.9rem;
  }
}

@media only screen and (max-width: 1600px) {
  html {
    /* font-size: 16px; */
  }

  .footer-secondary-menu {
    font-size: 0.8rem;
  }

  .layout-hero.loaded .layout-hero-inner {
    max-width: 90%;
  }
}

@media only screen and (max-width: 1500px) {
  /* Global */

  html {
    /* font-size: 15px; */
  }

  .container {
    width: 100%;
  }

  /* Special Layouts */

  #header {
    height: 500px;
  }
}

@media only screen and (max-width: 1400px) {
  /* Global */

  html {
    /* font-size: 14px; */
  }

  .container {
    width: 100%;
  }

  .agc-logo {
    flex-basis: 25%;
  }

  #footer-navigation .menu {
    margin-right: 0;
  }

  /* Special Layouts */

  #header {
    margin-top: 70px;
  }

  /* Gravity Forms */
  .gform_wrapper textarea {
    height: 100px;
  }

  /* Accordion */
  .accordion-image {
    padding-right: 2rem;
  }

  .full-width-img-wrapper {
    height: calc(80vh - var(--header-height-desktop));
  }
}

@media only screen and (max-width: 1300px) {
  /* Global */

  html {
    /* font-size: 13px; */
  }

  body {
    /* overflow-x: hidden; */
  }

  /* Typography */

  /* Header */

  header.container-fluid {
    /* height: 50px; */
  }

  #header {
    margin-top: 50px;
  }

  /* Testimonials */
  .testimonial-slider-container,
  .featured-project-container {
    left: auto;
  }

  .hero-header {
    font-size: 4rem;
  }

  .layout-hero {
    min-height: 600px;
  }

  .layout-hero.loaded .hero-background-container-wrapper,
  .layout-hero#single-project-hero .hero-background-container-wrapper {
    animation: none;
  }
}

@media only screen and (max-width: 1200px) {
  /* Global */
  html {
    /* font-size: 11px; */
  }

  .container {
    max-width: 100%;
    width: 100%;
  }

  .footer-logo {
    max-width: 300px;
    margin-bottom: 0;
  }

  /* Team */
  .card-item-header:hover .member-bio-container {
    opacity: 0;
    transform: scale(1.05);
  }

  .card-item-header.active .member-bio-container {
    opacity: 1;
    transform: scale(1);
  }
}

@media only screen and (max-width: 1100px) {
  /* Cards */
  .card-list {
    grid-template-columns: repeat(2, 1fr);
  }

  /* Image Text */
  .image-text-info-headline {
    font-size: 2.25rem;
  }

  .card-modal-indicator {
    display: block;
  }
}

@media only screen and (min-width: 992px) and (max-width: 1100px) {
  .fieldwrk-logo {
    transform: none;
  }
}

@media only screen and (max-width: 1024px) {
  .full-width-img-wrapper {
    background-attachment: scroll;
  }
}

@media only screen and (min-width: 1024px) and (max-width: 1200px) {
  .highlight-list {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
  }
}

@media only screen and (min-width: 1200px) and (max-height: 750px) {
  /* Header Navigation */

  #menu-primary-navigation a {
    font-size: 0.95em;
  }

  /* Special Layouts */
  #header {
    height: 400px;
  }

  #header.shorter {
    height: 300px;
  }
}

@media only screen and (max-width: 1200px) {
  /* Start of mobile menu */
  /* Global */

  html {
    /* font-size: 13px; */
  }

  /* .row {
    margin-left: -15px;
    margin-right: -15px;
    padding-top: 4em;
    padding-bottom: 4em;
  } */

  #main-navigation-container .sub-menu {
    background: transparent;
  }

  .menu-main-navigation-container .menu > li > a {
    padding-top: 0;
    padding-bottom: 0;
  }

  header.container-fluid {
    width: 100%;
  }

  body.menu-open {
    overflow: auto;
  }

  body.menu-open #main-content {
    transform: none;
    transform-origin: center;
    /* transform: translateY(calc(288px + var(--header-height-desktop))); */
    overflow-y: hidden;
  }

  #header-buttons {
    display: none;
  }

  #nav-icon {
    display: block;
  }

  #main-content {
    max-height: none;
  }

  #main-navigation-container {
    background: var(--color-gray-2);
    height: calc(100vh - var(--header-height-desktop));
    top: calc(var(--header-height-desktop) + 20px);
  }

  .logged-in #main-navigation-container {
    height: calc(
      100vh - var(--header-height-desktop) - var(--header-wp-admin-bar)
    );
    top: calc(var(--header-height-desktop) + var(--header-wp-admin-bar));
  }

  .menu-main-menu-navigation-container,
  #main-navigation-container .menu {
    height: 100%;
  }

  #main-navigation-container .menu {
    flex-direction: column;
  }

  html.fixed {
    overflow: auto;
  }

  #footer-navigation-container .menu > li:last-child {
    margin-left: 0;
  }

  /* Mobile Menu */
  #header-tail {
    min-height: 20px;
    object-fit: cover;
  }

  #main-navigation-container {
    position: fixed;
    left: 0;
    width: 100%;
    top: var(--header-height-desktop);
    display: block;
    background-color: #d1d1c9;
    padding: 70px 32px;
    transform: translateX(-100%);
    pointer-events: none;
    transition: 0.4s;
  }

  header.container-fluid.open #main-navigation-container {
    transform: translateX(0);
    pointer-events: auto;
    overflow: auto;
  }

  #header-buttons-mobile {
    display: flex;
    flex-direction: column-reverse;
    gap: 0.75rem;
    margin-top: 64px;
  }

  #main-navigation-container .menu {
    font-size: 1rem;
  }

  #main-navigation-container .menu .sub-menu a {
    font-size: 14px;
  }

  #main-navigation-container .menu > li.menu-item-has-children:after {
    display: none;
  }

  #main-navigation-container .menu > li.menu-item-has-children > a {
    position: relative;
  }

  #main-navigation-container .menu > li.menu-item-has-children > a:after {
    content: "";
    background-image: url(../images/icon-arrow-down-black.svg);
    width: 12px;
    height: 6px;
    display: block;
    background-size: cover;
    background-position: center;
    position: absolute;
    right: -20px;
    top: 50%;
    transform: translateY(-50%);
  }

  #main-navigation-container .menu > li.menu-item {
    width: 100%;
    flex-direction: column;
    align-items: flex-start;
  }

  #main-navigation-container .menu > li {
    transition: 0.4s opacity;
  }

  #main-navigation-container .isOpen .menu > li.menu-item {
    opacity: 0.5;
  }

  #main-navigation-container .isOpen .menu > li.menu-item.active {
    opacity: 1;
  }

  #main-navigation-container .menu .sub-menu {
    display: block;
    position: static;
    width: 70%;
    transform: none;
    opacity: 1;
    pointer-events: auto;
    padding: 0;
    overflow: hidden;
    max-width: 100%;
    min-width: 275px;
    background-color: transparent;
    max-height: 0;
  }

  #main-navigation-container li:hover .sub-menu {
    transform: none;
  }

  #main-navigation-container .sub-menu {
    min-width: 0;
  }

  .container.hero-content-container,
  .hero-content-container {
    padding: 40px 20px;
  }
}

@media only screen and (max-width: 782px) {
  .logged-in header.container-fluid {
    top: var(--header-wp-admin-bar-mobile);
  }

  .logged-in .has-mega-menu .mega-menu-wrapper-outer {
    /* top: var(--header-wp-admin-bar-mobile) !important; */
  }
}

@media only screen and (max-width: 400px) {
  #footer-navigation .menu {
    grid-template-columns: repeat(1, 1fr);
  }

  .bw-logo {
    transform: none;
    flex-basis: auto;
    margin-top: 3.25rem;
  }

  .bw-logo .text-right {
    text-align: left !important;
  }
}

@media only screen and (max-width: 782px) {
}

@media only screen and (max-width: 767px) {
  /* Global */

  #wpadminbar {
    position: fixed !important;
  }

  html {
    /* font-size: 17px; */
  }

  .container {
    width: 100%;
  }

  /* .row {
    padding-top: 3em;
    padding-bottom: 3em;
  } */

  .py-small {
    padding-top: 1.5em;
    padding-bottom: 1.5em;
  }

  .pt-small {
    padding-top: 1.5em;
  }

  .pb-small {
    padding-bottom: 1.5em;
  }

  /* Typography */

  /* Header */

  /* Header Navigation */

  #menu-primary-navigation {
    padding-top: 2em;
  }

  #menu-primary-navigation a {
    font-size: 1.3em;
  }

  #menu-primary-navigation .sub-menu > li:first-child {
    margin-top: 0.5em;
  }

  /* Special Layouts */

  #header {
    height: 300px;
  }

  /* HTML Video */

  .video {
    text-align: center;
  }

  /* Cards */

  /* Tables */

  table {
    display: block;
    overflow: scroll;
  }

  th,
  td {
    font-size: 0.7em;
  }

  td {
    line-height: 1.2;
  }

  th:last-of-type {
    padding-right: 2em;
  }

  td:last-of-type {
    padding-right: 2em;
  }

  /* Footer */
}

@media only screen and (min-width: 576px) and (max-width: 992px) {
  #footer-navigation .menu {
    max-width: max-content;
  }
}

/**
*
* @Bootstrap Breakpoints - 
* The Breakpoints below matches the bootstrap breakpoints 
* But desktop-first approach
*
* xl: (max-width: 1199px)
* lg: (max-width: 991px)
* md: (max-width: 767px)
* sm: (max-width: 575px)
*
**/

/**
*** @xl and below  
**/
@media (max-width: 1199px) {
}

/**
*** @lg and below  
**/
@media (max-width: 991px) {
  /* General */
  section,
  .layout-text-html,
  .layout-list-with-image,
  .layout-carousel,
  .layout-cards {
    padding-top: calc(var(--section-padding) * 0.5);
    padding-bottom: calc(var(--section-padding) * 0.5);
  }

  body {
    overflow-x: hidden;
  }

  .container-fluid .container {
    padding-left: 0;
    padding-right: 0;
  }

  section.py-lg {
    padding-top: calc(var(--section-padding-lg) * 0.5);
    padding-bottom: calc(var(--section-padding-lg) * 0.5);
  }

  section.py-sm {
    padding-top: calc(var(--section-padding-sm) * 0.5);
    padding-bottom: calc(var(--section-padding-sm) * 0.5);
  }

  #footer-navigation-container .menu > li {
    padding-right: 0;
  }

  /* Hero */
  .layout-hero .hero-background-container-wrapper {
    transform: none !important;
    top: 0 !important;
    left: 0 !important;
  }

  .layout-hero {
    min-height: 600px;
    height: 600px;
  }

  .hero-video-container,
  #hero-video {
    height: 100%;
  }

  #hero-video {
    max-width: none;
    position: relative;
    left: 50%;
    transform: translateX(-50%);
  }

  /* List With Image */
  .list-item-content-container {
    gap: 2rem;
  }

  /* Stats */
  .metric {
    font-size: 90px;
  }

  /* Contact */
  .contact-information {
    grid-template-columns: repeat(1, 1fr);
  }

  .contact-form {
    margin-bottom: 80px;
  }

  /* Testimonials */
  .testimonial-bg-container,
  .featured-project-bg-container {
    margin-left: auto;
    margin-right: auto;
  }

  .testimonial-bg,
  .featured-project-bg {
    width: auto;
  }

  .testimonial-bg img,
  .featured-project-bg img {
    height: 350px;
    object-fit: cover;
    object-position: center;
  }

  .testimonial-slider-arrow {
    position: relative;
    top: auto;
    left: auto;
    transform: none;
    width: 100%;
    justify-content: center;
    gap: 1rem;
    margin-top: 1.5rem;
  }

  .quote {
    font-size: 1.5rem;
    margin-bottom: 2rem;
  }

  .testimonial-slider,
  .featured-project {
    padding: 2rem;
  }

  .testimonial-bg,
  .featured-project-bg {
    position: static;
  }

  /* .featured-project-container {
    margin-top: 1rem;
  } */

  .testimonial-slider-container,
  .featured-project-container,
  .image-text-info-container {
    margin-top: 2rem;
    margin-bottom: 0;
  }

  .testimonial-slider-container,
  .featured-project-container {
    position: static;
    left: auto;
    max-width: 100%;
  }

  .tab-buttons a {
    width: 100%;
    display: block;
  }

  /* Image Text */
  .is-right-image .image-text-info-container {
    padding-right: 2rem;
  }

  /* .is-left-image .image-text-info-container {
    padding-left: 2rem;
  } */
  .layout-image-text {
    padding-top: 60px;
    padding-bottom: 60px;
  }

  .layout-stats {
    padding-top: 60px;
    padding-bottom: 60px;
  }

  .image-container {
    text-align: center;
    height: auto;
  }

  .image-container .image-content {
    max-width: 100%;
  }

  .image-text-rows-item {
    padding-top: 30px;
    padding-bottom: 30px;
  }

  /* Image/Text */
  .image-container {
    position: static;
    padding-left: 15px;
    padding-right: 15px;
  }

  .layout-image-text-rows .image-text-info-container {
    margin: 0;
  }

  .image-text-rows-header {
    padding-bottom: 0;
  }

  /* Highlights */
  .highlight-list {
    flex-direction: column;
    gap: 3rem;
  }

  .highlight-list .list-item {
    flex-basis: auto;
  }

  .list-item-content-container-wrapper {
    max-width: 600px;
    margin-left: auto;
    margin-right: auto;
  }

  .layout-testimonials,
  .layout-featured-project {
    padding-bottom: 60px;
  }

  .image-text-rows-header {
    padding-top: 60px;
  }

  #map-container {
    height: 70vh !important;
  }

  /* Image/Text Rows */
  .image-text-rows-container {
    padding-top: 30px;
    padding-bottom: 30px;
  }

  /* Job Listing */
  #resumator-jobs.resumator-jobs-text.children-count-4-down,
  #resumator-jobs.resumator-jobs-text {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
  }

  #resumator-jobs.resumator-jobs-text.children-count-4-down .resumator-job,
  #resumator-jobs.resumator-jobs-text .resumator-job {
    flex-basis: 50%;
  }
}

/**
*** @md and below   
**/
@media (max-width: 767px) {
  .section-headline {
    font-size: 2.5rem;
  }

  .layout-hero.loaded .layout-hero-inner {
    max-width: 100%;
  }

  .fieldwrk-logo {
    transform: none;
    padding-right: 0;
    text-align: center;
    margin-top: 3rem;
  }

  #footer-navigation-container .menu {
    gap: 2.5rem;
  }

  .marquee-slider-container {
    margin-left: -30px;
    margin-right: -30px;
  }

  /* Hero */
  .hero-header.single-project-title {
    font-size: 3rem;
  }

  .hero-header {
    font-size: 3rem;
  }

  .layout-hero.loaded {
    padding-top: 0px;
    padding-bottom: 0px;
  }

  /* Accordion */
  .layout-accordion .section-image {
    height: 500px;
    object-fit: cover;
    object-position: center;
  }

  /* List With Image */
  .list-item-content-container {
    gap: 2rem;
  }

  .list-item {
    flex-direction: column;
  }

  .list-item-img {
    flex: auto;
  }

  /* Cards */
  .card-list {
    grid-template-columns: repeat(1, 1fr);
  }

  /**
    Ranger
  */
  .section-title {
    font-size: 2.5rem;
  }

  /* Footer */
  #footer-navigation-container {
    text-align: center;
    flex-direction: column;
  }
  #footer-navigation-container > * {
    width: 100%;
  }
  /* CTA */
  .cta-header {
    font-size: 2.5rem;
  }

  .cta-icon {
    left: 50%;
    transform: translateX(-50%);
    width: 72px;
  }

  .cta-icon svg {
    width: 100%;
  }

  /* Stats */
  .stats-container {
    grid-template-columns: repeat(1, 1fr);
  }

  .stat-item {
    min-height: 0;
  }

  .metric {
    font-size: 120px;
  }

  /* Tabs */
  .tab-wysiwyg {
    font-size: 2rem;
  }

  .tab-buttons {
    margin-bottom: 3rem;
  }

  /* .layout-multi-video .tab-buttons {
    display: flex;
    flex-direction: column;
    margin-bottom: 3rem;
  } */
  /* Multi Video Tabs */

  .layout-multi-video .tab-buttons .tab-button a {
    height: 54px;
  }

  .layout-multi-video .tab-button > a {
    flex-direction: column;
  }

  .multi-video-tab-comma {
    display: none;
  }

  .multi-video-tab-subtitle {
    margin-left: 0;
  }

  /*Testimonials*/
  .testimonial-icon {
    margin-bottom: 2rem;
  }

  /* Image/Text */
  .image-container .image-content {
    /* height: 350px; */
  }

  /* Single Project */
  #single-project-hero.layout-hero {
    height: auto;
    min-height: 300px;
  }

  #single-project-hero.layout-hero .hero-content-container {
    margin-top: 9rem;
  }

  #single-project-hero.layout-hero .hero-background-image {
    position: absolute;
  }

  /*  */
  .image-text-rows-item .row {
    min-height: auto;
  }
}

/**
*** @sm and below  
**/
@media (max-width: 575px) {
  h1 br,
  .hero-header br,
  .layout-subheader br {
    display: none;
  }

  .section-headline {
    font-size: 2.25rem;
  }

  .footer-logo {
    width: 300px;
    max-width: 100%;
    margin-bottom: 0;
  }

  /* Buttons */
  .headline-button .button,
  .layout-horizontal-list .button {
    width: 100%;
  }

  /* Hero - Home Page */
  .hero-header,
  .hero-2-header {
    font-size: 3rem;
  }

  .layout-hero .button-group,
  .layout-hero-2 .button-group {
    flex-direction: column;
  }

  /* Image/Text */
  .image-text-info .button-group {
    flex-direction: column;
  }

  /* Cards */
  .card-image-placeholder {
    min-height: 300px;
  }

  /* Testimonials */
  .quote {
    font-size: 1.25rem;
  }

  .author-name {
    font-size: 1.25rem;
  }

  /* Projects */
  .blog-filter {
    flex-direction: column;
  }

  .filter-item {
    width: 100%;
  }

  /* Tabs */
  .tab-wysiwyg {
    font-size: 2rem;
  }

  /* .tab-buttons {
    display: flex;
    flex-direction: column;
    margin-bottom: 3rem;
  } */

  /* 
    Ranger
  */

  /* Footer */
  .marquee-slider-container::before,
  .marquee-slider-container::after {
    width: 100px;
  }

  /* Contact Form */
  div.gform_wrapper.gravity-theme .gform_fields {
    display: flex;
    flex-direction: column;
  }

  .gform_wrapper.gravity-theme .hidden_label .gfield_label {
    width: auto;
    height: auto;
    position: static;
    opacity: 1;
    font-size: 1rem;
  }

  .gfield--type-html.html-label {
    height: 0;
    overflow: hidden;
    position: absolute;
    pointer-events: none;
    opacity: 0;
  }

  div.gform_wrapper.gravity-theme .hidden_label .gfield_label {
    width: auto;
    height: auto;
    clip: auto;
    clip-path: none;
    position: static;
    margin-bottom: 12px;

    color: var(--color-black-faded-65);
    font-family: "Roboto Condensed", sans-serif;
    font-size: 1rem;
    font-weight: 500;
    text-transform: uppercase;
    padding-left: 1rem;
    display: block;
  }

  /* Video */
  .full-width-img-wrapper {
    height: 350px;
  }

  /* Tab Button - Multi Video */
  .layout-multi-video .tab-buttons .tab-button {
    font-size: 0.8rem;
  }

  .parallax-background {
    background-attachment: scroll;
  }

  /* Resumator */
  #resumator-jobs.resumator-jobs-text.children-count-4-down .resumator-job,
  #resumator-jobs.resumator-jobs-text .resumator-job {
    flex-basis: 100%;
  }
}

@media (max-width: 400px) {
  .layout-multi-video .tab-buttons .tab-button a {
    height: auto;
  }
}

.page-template-about .layout-hero {
  margin-bottom: 0;
}
